المجالات المخصصة

GET https://mylink.le360agency.com/api/domains/
curl --request GET \
--url 'https://mylink.le360agency.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
حدود تفاصيل وصف
search خياري خيط سلسلة البحث.
search_by خياري خيط ما المجال الذي تبحث عنه. القيم المسموح بها هي: host.
is_enabled خياري منطقية
datetime_field خياري خيط القيم المسموح بها: datetime, last_datetime
datetime_start خياري خيط Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end خياري خيط Filter results up to this datetime. Y-m-d H:i:s format.
order_by خياري خيط ما المجال الذي سيتم ترتيب النتائج به. القيم المسموح بها هي: domain_id, datetime, last_datetime, host.
order_type خياري خيط ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي.
page خياري عدد صحيح رقم الصفحة التي تريد الحصول على النتائج منها. الإعدادات الافتراضية هي 1.
results_per_page خياري عدد صحيح كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. الإعدادات الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-06-11 10:55:58",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://mylink.le360agency.com/api/domains?page=1",
        "last": "https://mylink.le360agency.com/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://mylink.le360agency.com/api/domains?page=1"
    }
}
GET https://mylink.le360agency.com/api/domains/{domain_id}
curl --request GET \
--url 'https://mylink.le360agency.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-06-11 10:55:58",
    }
}
POST https://mylink.le360agency.com/api/domains
حدود تفاصيل وصف
host مطلوب خيط -
custom_index_url خياري خيط -
custom_not_found_url خياري خيط -
curl --request POST \
--url 'https://mylink.le360agency.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://mylink.le360agency.com/api/domains/{domain_id}
حدود تفاصيل وصف
host خياري خيط -
custom_index_url خياري خيط -
custom_not_found_url خياري خيط -
curl --request POST \
--url 'https://mylink.le360agency.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://mylink.le360agency.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://mylink.le360agency.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \